Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057043 - [RFE] NFS custom mountoptions (NFS over RDMA)
Summary: [RFE] NFS custom mountoptions (NFS over RDMA)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.6.0
Assignee: Allon Mureinik
QA Contact: bugs@ovirt.org
URL:
Whiteboard: storage
Depends On: 1087059 1113185
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 11:39 UTC by Markus Stockhausen
Modified: 2016-02-10 19:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1087059 (view as bug list)
Environment:
Last Closed: 2015-03-29 09:06:12 UTC
oVirt Team: Storage


Attachments (Terms of Use)
screenshot (deleted)
2014-01-23 11:42 UTC, Markus Stockhausen
no flags Details

Description Markus Stockhausen 2014-01-23 11:39:32 UTC
Current NFS implementation allows to override three NFS mount options: Timeout in seconds, NFS Version and number of retransmissions.

For better performance in Infiniband environments another option should be implemented: Mountoption for NFS over RDMA. This is usually achieved by:

1) Create NFS RDMA server (as explained in the kernel doc)
# modprobe svcrdma
# service nfs start
# echo rdma 20049 > /proc/fs/nfsd/portlist

2) Create some export
/ 10.0.0.0/8(fsid=0,rw,async,no_subtree_check,no_root_squash,insecure)
# exportfs -a

3) Configure NFS RDMA client
# modprobe xprtrdma

4) mount filesystem on client
# mount -o rdma,port=20049,nfsvers=4 10.10.30.1:/ /mnt

The implementation needs three features.

1) adaption of the NFS persistence layer in the OVirt database
2) enhancement NFSConnection class in the storageServer.py script on the nodes
3) Enhancement of the NFS Domain settings in webadmin

REMARK! This request can be changed to a more generic implementation. So that the admin is allowed to fill an free form field with a comma separated list of NFS options.

A screenshot of that idea is attached.

Comment 1 Markus Stockhausen 2014-01-23 11:42:58 UTC
Created attachment 854326 [details]
screenshot

Comment 2 Itamar Heim 2014-01-26 20:22:48 UTC
Markus - have you tried doing so via the posixfs storage domain type?

Comment 3 Markus Stockhausen 2014-01-27 12:21:34 UTC
Thanks for that tip. I never was aware what was ment with Posix.

As far as I understand, this involves setting the whole datacenter to type Posix. At least in my current NFS datacenter I cannot add a Posix mount. I will give it a try the next weeks.

If you think Posix will satisfy my needs you can close the RFE.

Comment 4 Ayal Baron 2014-01-28 07:52:52 UTC
(In reply to Markus Stockhausen from comment #3)
> As far as I understand, this involves setting the whole datacenter to type
> Posix. At least in my current NFS datacenter I cannot add a Posix mount. I
> will give it a try the next weeks.

Correct.  In 3.4 this will not be required as you will be able to mix POSIX, NFS, iSCSI, FCP and Gluster domains in the same DC (all except for local).

> 
> If you think Posix will satisfy my needs you can close the RFE.

Posix enables you to pass any list of options to mount.

What needs to be done to support this natively from the NFS domain type:

Add modprobe xprtrdma to host config (need to determine when in the flow to do this - you either always modprobe and check the the module is loaded or you do it once for every host on initvdsonup)

Add the specific option to the NFS supported options

Test, test, test

Comment 5 Allon Mureinik 2014-05-23 07:45:47 UTC
The RFE described in bug 1087059 allows the user to manually add mount options to an NFS storage domain's connection.
In conjunction with the ability to edit existing connection options introduced in 3.3 and the ability to mix domain types introduced in 3.4, I think we're 99% there.

These improvements reduce this RFE to the question whether we want oVirt to orchastrate RDMA's configuration itself or not.

Comment 6 Itamar Heim 2015-03-29 09:06:12 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.